ovs-bugtool(8)

NAME
ovs-bugtool - Open vSwitch bug reporting utility

SYNOPSIS
ovs-bugtool

DESCRIPTION
Generate a debug bundle with useful information about Open vSwitch on this system and places it in /var/log/ovs-bugtool.

OPTIONS

--all
    Use all available capabilities.

--capabilities
    List ovs-bugtool capabilities.

--debug
    Print verbose debugging output.

--entries=list
    Use the capabilities specified in a comma-separated list.

--log-days=days
    Include the logs rotated in the previous days days in the debug bundle. The number of log files included has a big impact on the eventual bundle size. The default value is 20 days.

--output=filetype
    Generate a debug bundle with the specified file type. Options include tar, tar.gz, tar.bz2, and zip.

--ovs
    Use only Open vSwitch relevant capabilities.

--silent
    Suppress output.

--unlimited
    Do not exclude files which are too large.

--yestoall
    Answer yes to all prompts.

BUGS
ovs-bugtool makes many assumptions about file locations and the availability of system utilities. It has been tested on Debian and Red Hat and derived distributions. On other distributions it is likely to be less useful.